Subject: Re: bug#75379: 30.0.93; project-find-regexp expects "C" or "en" locale

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Jan 2025 20:46:42 +0200

> Date: Sun, 5 Jan 2025 20:03:34 +0200
> From: Dmitry Gutov <[email-masked]>
> 
> Overriding the language seems indeed the way to go here.
> 
> About using LANG specifically, any chance that it might interfere with 
> the system's configured encoding, e.g. UTF-8 vs other? In your example, 
> does searching for accented characters work as well?
> 
> IIUC we can try LC_MESSAGES as the more specialized var. Does 
> LC_MESSAGES=en work as well?

Please note that this doesn't work on Windows.

First, the Windows locale-dependent routines don't heed environment
variables, so setting LANG etc. in the environment will only do what
you expect if the program in question was either explicitly programmed
to pay attention to those variables or was linked with Gnulib
replacements for locale functions.

And second LC_MESSAGES is not supported by Windows locales at all.

Can't we instead have a database of these messages, like we do with
the "password" prompts?